﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindGroupDb(engine *xorm.Engine, uid int) dao.SuperCloudIssuanceUserRobotBindGroupDao {
	return &SuperCloudIssuanceUserRobotBindGroupDb{
		Db:  engine,
		Uid: uid,
	}
}

type SuperCloudIssuanceUserRobotBindGroupDb struct {
	Db  *xorm.Engine `json:"model"`
	Uid int          `json:"uid"`
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) GetSuperCloudIssuanceUserRobotBindGroup(id int) (m *models.SuperCloudIssuanceUserRobotBindGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindGroup)
	has, err := s.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) GetSuperCloudIssuanceUserRobotBindGroupByChatRoomId(chatRoomId string) (m *models.SuperCloudIssuanceUserRobotBindGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindGroup)
	has, err := s.Db.Where("chat_room_id =?", chatRoomId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) InsertSuperCloudIssuanceUserRobotBindGroup(m *models.SuperCloudIssuanceUserRobotBindGroup) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) SaveSuperCloudIssuanceUserRobotBindGroup(id interface{}, m *models.SuperCloudIssuanceUserRobotBindGroup, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) DeleteSuperCloudIssuanceUserRobotBindGroup(id interface{}) (affected int64, err error) {
	_, err = s.Db.Where("id=?", id).Delete(models.SuperCloudIssuanceUserRobotBindGroup{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) FindSuperCloudIssuanceUserRobotBindGroup() (resp []*dao.FindCloudIssuanceUserRobotBindGroupResponse, total int64, err error) {
	total, err = s.Db.Table("super_cloud_issuance_user_robot_bind_group").
		Join("LEFT", "super_cloud_issuance_goods_category", "super_cloud_issuance_user_robot_bind_group.goods_category_id = super_cloud_issuance_goods_category.id").
		Where("super_cloud_issuance_user_robot_bind_group.uid = ?", s.Uid).
		OrderBy("super_cloud_issuance_user_robot_bind_group.id DESC").
		Cols("super_cloud_issuance_user_robot_bind_group.*, super_cloud_issuance_goods_category.name as goods_category_name").
		FindAndCount(&resp)
	return
}

func (s SuperCloudIssuanceUserRobotBindGroupDb) FindSuperCloudIssuanceUserRobotBindGroupByCategory(categoryId int) (m []*models.SuperCloudIssuanceUserRobotBindGroup, err error) {
	err = s.Db.Where("uid =? AND goods_category_id =? AND state =1", s.Uid, categoryId).OrderBy("id ASC").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return m, nil
}
