package models

type HappyOrchardBasicSetting struct {
	Id                            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen                        int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 0:关闭)') TINYINT(1)"`
	ActivityStartTime             string `json:"activity_start_time" xorm:"not null default '0000-00-00 00:00:00' comment('活动时间-开始') CHAR(50)"`
	ActivityEndTime               string `json:"activity_end_time" xorm:"not null default '0000-00-00 00:00:00' comment('活动时间-结束') CHAR(50)"`
	ActivityName                  string `json:"activity_name" xorm:"not null default '' comment('活动名称') CHAR(50)"`
	IsOpenAdRotation              int    `json:"is_open_ad_rotation" xorm:"not null default 1 comment('是否广告轮播(1:开启 0:关闭)') TINYINT(1)"`
	AdRotationData                int    `json:"ad_rotation_data" xorm:"not null default 1 comment('广告轮播数据(1:仅读取真实数据 2:仅读取虚拟数据 3:两者都读取)') TINYINT(1)"`
	IsOpenSevenDaysSign           int    `json:"is_open_seven_days_sign" xorm:"not null default 1 comment('是否开启7日签到(1:开启 0:关闭)') TINYINT(1)"`
	SevenDaysSignRewardData       string `json:"seven_days_sign_reward_data" xorm:"not null comment('7日签到奖励数据') TEXT"`
	VideoSevenDaysSignRewardData  string `json:"video_seven_days_sign_reward_data" xorm:"not null comment('观看视频后的7日签到奖励数据') TEXT"`
	IsOpenTimerSign               int    `json:"is_open_timer_sign" xorm:"not null default 1 comment('是否开启定时签到(1:开启 0:关闭)') TINYINT(1)"`
	TimerSignRewardData           string `json:"timer_sign_reward_data" xorm:"not null comment('定时签到奖励数据') TEXT"`
	IsOpenPlaceOrderReward        int    `json:"is_open_place_order_reward" xorm:"not null default 1 comment('是否下单获得奖励(1:开启 0:关闭)') TINYINT(1)"`
	PlaceOrderRewardData          string `json:"place_order_reward_data" xorm:"not null comment('下单获得奖励数据') TEXT"`
	IsOpenSharingAssistance       int    `json:"is_open_sharing_assistance" xorm:"not null default 1 comment('是否分享助力(1:开启 0:关闭)') TINYINT(1)"`
	SharingAssistanceRewardData   string `json:"sharing_assistance_reward_data" xorm:"not null comment('分享助力奖励数据') TEXT"`
	IsOpenInvitingNewPlayers      int    `json:"is_open_inviting_new_players" xorm:"not null default 1 comment('是否邀请新玩家(1:开启 0:关闭)') TINYINT(1)"`
	InvitingNewPlayersRewardData  string `json:"inviting_new_players_reward_data" xorm:"not null comment('邀请新玩家奖励数据') TEXT"`
	IsOpenBrowsingInterface       int    `json:"is_open_browsing_interface" xorm:"not null default 1 comment('是否浏览界面(1:开启 0:关闭)') TINYINT(1)"`
	BrowsingInterfaceRewardData   string `json:"browsing_interface_reward_data" xorm:"not null comment('浏览界面奖励数据') TEXT"`
	IsOpenPlayGoldenEggGame       int    `json:"is_open_play_golden_egg_game" xorm:"not null default 1 comment('是否玩金蛋游戏(1:开启 0:关闭)') TINYINT(1)"`
	PlayGoldenEggGameRewardData   string `json:"play_golden_egg_game_reward_data" xorm:"not null comment('玩金蛋奖励数据') TEXT"`
	IsOpenPlayRaffleGame          int    `json:"is_open_play_raffle_game" xorm:"not null default 1 comment('是否玩抽奖游戏(1:开启 0:关闭)') TINYINT(1)"`
	PlayRaffleGameRewardData      string `json:"play_raffle_game_reward_data" xorm:"not null comment('玩抽奖游戏奖励数据') TEXT"`
	InitialWaterDroplet           int    `json:"initial_water_droplet" xorm:"not null default 0 comment('初始水滴') INT(11)"`
	WateringEveryTimeWaterDroplet int    `json:"watering_every_time_water_droplet" xorm:"not null default 0 comment('每次浇水水滴') INT(11)"`
	UpgradeRewardWaterDroplet     int    `json:"upgrade_reward_water_droplet" xorm:"not null default 0 comment('升级奖励水滴') INT(11)"`
	ReplaceSeedNums               int    `json:"replace_seed_nums" xorm:"not null default 0 comment('更换种子次数') INT(11)"`
	StageNameCustom               string `json:"stage_name_custom" xorm:"not null comment('阶段自定义') TEXT"`
	VirtualRewardIsAutoSend       int    `json:"virtual_reward_is_auto_send" xorm:"not null default 0 comment('虚拟奖品是否自动发放(1:是 2:否)') TINYINT(1)"`
	CreateAt                      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
