package models

import (
	"time"
)

type HappyOrchardTask struct {
	Id             int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	Pid            int       `json:"pid" xorm:"default 0 comment('父级任务id') INT(11)"`
	TaskName       string    `json:"task_name" xorm:"default '' comment('任务名称') VARCHAR(255)"`
	TaskDescribe   string    `json:"task_describe" xorm:"default '' comment('描述') VARCHAR(255)"`
	TaskType       int       `json:"task_type" xorm:"default 0 comment('任务类型') TINYINT(2)"`
	TaskNum        int       `json:"task_num" xorm:"default 0 comment('达成条件数') INT(11)"`
	LimitRewardNum int       `json:"limit_reward_num" xorm:"default 0 comment('每天限制奖励次数') INT(11)"`
	TaskReward     string    `json:"task_reward" xorm:"default '' comment('[{"coin_id": "cny","coin_name": "佣金","reward_num": "20"},{"coin_id": "1","coin_name": "积分","reward_num": "1"}]') VARCHAR(600)"`
	IsUse          int       `json:"is_use" xorm:"default 0 comment('是否启用') TINYINT(1)"`
	CreateAt       time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt       time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
	SkipData       string    `json:"skip_data" xorm:"comment('跳转页面的数据') LONGTEXT"`
	AdvId          int       `json:"adv_id" xorm:"default 0 comment('广告id') INT(11)"`
	TaskLvLimit    string    `json:"task_lv_limit" xorm:"comment('等级限制 json') LONGTEXT"`
	IsAuto         int       `json:"is_auto" xorm:"default 0 comment('是否自动领取 0否 1是') TINYINT(1)"`
	GiveLvData     string    `json:"give_lv_data" xorm:"comment('赠送等级信息 json') LONGTEXT"`
	TipStr         string    `json:"tip_str" xorm:"VARCHAR(255)"`
	RewardType     int       `json:"reward_type" xorm:"default 0 INT(11)"`
	TaskData       string    `json:"task_data" xorm:"default '' VARCHAR(2000)"`
	TimeData       string    `json:"time_data" xorm:"VARCHAR(2000)"`
	IsNotRelate    int       `json:"is_not_relate" xorm:"default 0 INT(1)"`
	AllAdvId       int       `json:"all_adv_id" xorm:"default 0 comment('广告id') INT(11)"`
	Type           string    `json:"type" xorm:"default '' comment('空是原来的 新的是pineapple') VARCHAR(255)"`
}
