package models

type SuperCloudIssuanceGoods struct {
	Id                      int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	GoodsUrl                string `json:"goods_url" xorm:"not null comment('传进来的商品链接') VARCHAR(255)"`
	ItemUrl                 string `json:"item_url" xorm:"comment('搜索出来的商品链接') VARCHAR(255)"`
	GoodsId                 string `json:"goods_id" xorm:"not null comment('商品id') VARCHAR(255)"`
	Provider                string `json:"provider" xorm:"comment('渠道key') VARCHAR(255)"`
	ProviderName            string `json:"provider_name" xorm:"comment('渠道') VARCHAR(255)"`
	ProviderImgUrl          string `json:"provider_img_url" xorm:"comment('渠道图片Url') VARCHAR(255)"`
	GoodsTitle              string `json:"goods_title" xorm:"comment('商品标题') VARCHAR(255)"`
	GoodsPrice              string `json:"goods_price" xorm:"comment('商品原价') VARCHAR(255)"`
	WlGoodsPrice            string `json:"wl_goods_price" xorm:"comment('商品卷后价') VARCHAR(255)"`
	CouponPrice             string `json:"coupon_price" xorm:"comment('优惠劵金额') VARCHAR(255)"`
	CouponUrl               string `json:"coupon_url" xorm:"comment('优惠劵Url') VARCHAR(255)"`
	InOrderCount            string `json:"in_order_count" xorm:"comment('销量') VARCHAR(255)"`
	GoodsDesc               string `json:"goods_desc" xorm:"comment('商品描述') VARCHAR(255)"`
	GoodsContent            string `json:"goods_content" xorm:"comment('商品文案（以json存）') LONGTEXT"`
	GoodsImg                string `json:"goods_img" xorm:"comment('商品主图') VARCHAR(255)"`
	GoodsImgUrl             string `json:"goods_img_url" xorm:"comment('商品主图URL') VARCHAR(255)"`
	CreateAt                string `json:"create_at" xorm:"not null DATETIME"`
	UpdateAt                string `json:"update_at" xorm:"not null DATETIME"`
	CloudIssuanceCategoryId int    `json:"cloud_issuance_category_id" xorm:"not null default 0 comment('云发单所属分类id') INT(11)"`
	GoodsImgList            string `json:"goods_img_list" xorm:"VARCHAR(5000)"`
}
