package models

type SuperCloudIssuanceRobotPackage struct {
	Id            int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Name          string `json:"name" xorm:"not null default '' comment('套餐名称') VARCHAR(255)"`
	Price         string `json:"price" xorm:"not null default '0' comment('单价(元)') VARCHAR(255)"`
	OriginalPrice string `json:"original_price" xorm:"not null default '0' comment('原价(元)') VARCHAR(255)"`
	Month         int    `json:"month" xorm:"not null default 1 comment('月份') TINYINT(1)"`
	Type          int    `json:"type" xorm:"not null default 4 comment('类型(1 发单机器人 2转发机器人 3 返利机器人 4全能机器人 5小型机器人 6发圈机器人)') TINYINT(1)"`
	Memo          string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	State         int    `json:"state" xorm:"not null default 1 comment('状态(0关闭,1开启)') TINYINT(2)"`
	Sort          int    `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
